mscorlib 2.0.0.0 4.0.0.0 System.Object System.Runtime.InteropServices.ComVisible(false) To be added.

Represents an identity and is the base class for the and classes. This class does not provide a public constructor, and therefore cannot be inherited.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added.

  Returns a value that indicates whether the specified object equals this instance of the class.

  true if is an object with the same underlying type and value as this instance; otherwise, false.

  An object to compare with this instance, or a null reference.
- Method
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  Serves as a hash function for . is suitable for use in hashing algorithms and data structures like a hash table.

  The hash code for this object.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added.

  Returns a value that indicates whether the specified type is a valid translation type for the class.

  true if is a valid translation type for the class; otherwise, false.

  The type being queried for validity to serve as a conversion from . The following target types are valid:
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added.

  Compares two objects to determine whether they are equal. They are considered equal if they have the same canonical name representation as the one returned by the property or if they are both null.

  true if and are equal; otherwise, false.

  The left operand to use for the equality comparison. This parameter can be null. The right operand to use for the equality comparison. This parameter can be null.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added.

  Compares two objects to determine whether they are not equal. They are considered not equal if they have different canonical name representations than the one returned by the property or if one of the objects is null and the other is not.

  true if and are not equal; otherwise, false.

  The left operand to use for the inequality comparison. This parameter can be null. The right operand to use for the inequality comparison. This parameter can be null.
- Method
  2.0.0.0
  4.0.0.0
  System.String To be added.

  Returns the string representation of the identity represented by the object.

  The identity in string format.

- Method
  2.0.0.0
  4.0.0.0
  System.Security.Principal.IdentityReference `` To be added.

  Translates the account name represented by the object into another -derived type.

  The converted identity.

  The target type for the conversion from .
- Property
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added.

  Gets the string value of the identity represented by the object.